Name:		TeXmacs
Version:	1.0.2.9
Release:	0.fdr.1.rh80
Epoch:		0
Summary:	A structured wysiwyg scientific text editor

Group:		Applications/Editors
License:	GPL
URL:		http://www.texmacs.org
Source:		ftp://ftp.texmacs.org/pub/TeXmacs/targz/TeXmacs-1.0.2.9-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	tetex, tetex-fonts, ghostscript
Buildrequires:	guile-devel, desktop-file-utils, tetex, freetype-devel, XFree86-devel

%description
GNU TeXmacs is a free scientific text editor, which was both inspired
by TeX and GNU Emacs. The editor allows you to write structured
documents via a wysiwyg (what-you-see-is-what-you-get) and user
friendly interface.  New styles may be created by the user. The
program implements high-quality typesetting algorithms and TeX fonts,
which help you to produce professionally looking documents.

The high typesetting quality still goes through for automatically
generated formulas, which makes TeXmacs suitable as an interface for
computer algebra systems. TeXmacs also supports the Guile/Scheme
extension language, so that you may customize the interface and write
your own extensions to the editor.

In the future, TeXmacs is planned to evolve towards a complete
scientific office suite, with spreadsheet capacities, a technical
drawing editor and a presentation mode.

%prep
%setup -q -n TeXmacs-%{version}-src

%build
%configure
perl -pi -e "s|^CXXOPTIMIZE =.*|CXXOPTIMIZE = $RPM_OPT_FLAGS|" src/common.makefile
make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`
cp -r -f $GUILE_LOAD_PATH $RPM_BUILD_ROOT%{_datadir}/TeXmacs/progs
chmod -f 644 $RPM_BUILD_ROOT%{_datadir}/TeXmacs/progs/ice-9/*
chmod -f 755 $RPM_BUILD_ROOT%{_datadir}/TeXmacs/progs/ice-9
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/application-registry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime-info
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -f $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime/texmacs.applications $RPM_BUILD_ROOT%{_datadir}/application-registry
cp $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime/texmacs.keys $RPM_BUILD_ROOT%{_datadir}/mime-info
cp $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime/texmacs.mime $RPM_BUILD_ROOT%{_datadir}/mime-info
cp $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/pixmaps/TeXmacs.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps
rm -fr $RPM_BUILD_ROOT%{_datadir}/TeXmacs/misc/mime
cat > texmacs.desktop <<EOF
[Desktop Entry]
Type=Application
Exec=texmacs
Icon=%{_datadir}/pixmaps/TeXmacs.xpm
Name=GNU TeXmacs
Terminal=0
Comment=A structured wysiwyg scientific text editor
Encoding=UTF-8
X-Desktop-File-Install-Version=0.3
StartupWMClass=TeXmacs
EOF
desktop-file-install --vendor fedora \
    --add-category X-Fedora \
    --add-category Application \
    --add-category Office \
    --add-category WordProcessor \
    --add-category Math \
    --add-category TextEditor \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    texmacs.desktop

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/*
%{_mandir}/man*/*
%{_libexecdir}/*
%{_datadir}/TeXmacs
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%doc LICENSE COPYING TeXmacs/README TeXmacs/TEX_FONTS

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec  1 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.2.9-0.fdr.1
- New Version 1.0.2.9

* Fri Nov 14 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.2.7-0.fdr.1
- New Version 1.0.2.7

* Wed Nov  5 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.0.2.6-0.fdr.1
- First Fedora release

* Mon Sep 22 2003   Joris van der Hoeven <vdhoeven@texmacs.org>
- 1.0.1.24 Release tag set by the configure script

* Sat Jun 28 2003   Joris van der Hoeven <vdhoeven@texmacs.org>
- 1.0.1.16 Moved "TeXmacs-%{version}" in root directory to "TeXmacs"

* Tue Jul 22 2002   Joris van der Hoeven <vdhoeven@texmacs.org>
- 1.0.0.10 Migrated architecture dependent options to configure.in

* Thu Feb 07 2002   Joris van der Hoeven <vdhoeven@texmacs.org>
- 0.3.5.14 Added -f for chmod

* Thu Feb 07 2002   Joris van der Hoeven <vdhoeven@texmacs.org>
- 0.3.5.11 Extra compilation options reduce size of executable

* Sun Nov 26 2001   Joris van der Hoeven <vdhoeven@texmacs.org>
- 0.3.5.7 TeXmacs mime types & pixmap

* Thu Jul 5 2001   Joris van der Hoeven & Christophe Merlet
- 0.3.4.3 Further corrections

* Sun Jun 3 2001   Bo Forslund  <bo.forslund@abc.se>
- 0.3.4.3 Some tiny adjustments in the spec
